commit 581584d36fc5d8da04a716203547124c0d0f4719
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 16 15:44:27 2023 -0400

    output

commit 0c9a60758ecd520c25e99040b88b803a7641c099
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 16 15:31:30 2023 -0400

    bumped changelog version

commit cd78286c4bd1dbd1bb44cd63e5512cf38639c8d5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 16 15:31:20 2023 -0400

    fix

commit dcbbff6b45410d5ba2c226d89e50e34d0f122f37
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 16 15:28:56 2023 -0400

    bumped changelog version

commit c478d9a515e2e3b920a4e92de826cfddb73b1314
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 16 15:28:39 2023 -0400

    improve error handling

commit 2ee3585c0a6c54d46366fb72b9b15e522779a2ce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 16 15:25:22 2023 -0400

    improve error handling

commit 596e01214b969f1341943789388a01bfd7059bcd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 16 15:15:07 2023 -0400

    bumped changelog version

commit 7a4389669ebbd57f60f5e2a1704d54a86504e585
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 16 15:14:15 2023 -0400

    improve error handling

commit af938aabd31028e3620eb1f6ab4b4ec2522e9cd4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 16 15:04:50 2023 -0400

    bumped changelog version

commit 298ffb26252e36fbbe37279a88b402c8c3283df3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 16 15:01:06 2023 -0400

    output

commit 1a88311bf84ac49a46f633a438a91c7ab86d820b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 16 14:59:14 2023 -0400

    fix

commit 5d9902a92bf98e008179f99942ce15a0b9ff517b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 16 14:51:05 2023 -0400

    improve error handling in case using open-link-confirmation

commit 6af995249288289e000522a67bf83c2641b990ab
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 16 14:21:20 2023 -0400

    output

commit 1c0f38c3a4ec0e5e8ccaef6a393f49ad20a7756d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:38:29 2023 +0000

    bumped changelog version

commit 9801993a87d5a5a0a435b01498dbf446243917a6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:11:32 2023 +0000

    bookworm

commit 58bccb744e20e752423fab06fe6d1649b39bf005
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 11:10:18 2023 +0000

    bumped changelog version

commit 3cb996a1e7a458ce20eedb46e4b174b1701ebf1e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:49:06 2023 +0000

    readme

commit 1a1f5e93271b84de8c12d5842289612124e4e365
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 15 17:06:12 2023 +0000

    bumped changelog version

commit 8d788f0df55470e6ed6589360b2564c6c8dc81e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 13:14:48 2023 +0000

    copyright

commit c3b98f617f95bc3b74a010a1061846fab0162472
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 18:05:36 2023 +0000

    bumped changelog version

commit 58fbcf5f2338d071b4f3e3bfefeaf1fef9459b94
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 16:22:33 2023 +0000

    Standards-Version: 4.6.1.0

commit e300466c44e57ab5721ab1d81e20717f860eaa00
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 15:34:09 2023 +0000

    bumped changelog version

commit bef378b64ff7833618025eea7dc85f5f3bf4a9e6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:52:02 2023 +0000

    update copyright year

commit 348916809bba83e7bd62d8a372646f316ab3b10e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:48:04 2023 +0000

    abolish /rw/config parsing
    (Does not influence Qubes specific /rw/config parsing.)

commit e0790b434c0021b12fdff20be14a13b50b8d4226
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 26 08:45:12 2022 -0400

    bumped changelog version

commit e635029e2853635cc8cd683faacd1e87c6b50eeb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 26 07:44:59 2022 -0400

    genmkfile manpages

commit d66f99f41699b98ab99ffdb20c86b7973fb521ec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 26 07:32:39 2022 -0400

    undo /rw changes
    
    https://forums.whonix.org/t/rw-config-versus-usr-local-etc/15621

commit 85a14fa5f14f18c0dfc49225304ff11ee8b1a4b2
Merge: 329daee 9f10bfe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 26 07:31:31 2022 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit 9f10bfed115f7ac984e5bd4621d004fed74b860c
Merge: 329daee 1a28f63
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 26 07:30:55 2022 -0400

    Merge pull request #13 from nyxnor/master
    
    print tb_no_start=true output to cli and gui

commit 1a28f63bfc74e0743a2e3039b0991d9e4bfb6a7b
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Sep 25 23:07:23 2022 +0000

    move /rw/config as the last dir to be sourced

commit 087da59663116d470f51c6d36ab020bf8f01c549
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Sep 25 23:06:14 2022 +0000

    add tb_no_start to man

commit 7afe6cdf5fe07615a5b524e134d881c5ce2218f4
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Sep 25 22:53:16 2022 +0000

    fail early with tb_no_start and add info message
    
    https://forums.whonix.org/t/inform-user-that-torbrowser-wont-start/15298/5

commit 329daee153a86798eec6380d010d1a23ac186cc8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jun 19 07:35:18 2022 -0400

    bumped changelog version

commit 6fcfd987b3ac003b4ecf2304d8eff200c765bbf7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 18 10:36:59 2022 -0400

    output

commit 0d7ed197744a2e3f152f8565de6a1b4d5dfa9f8b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 8 11:05:50 2022 -0400

    bumped changelog version

commit a8fdda3054e31ff48b5587f993bdd81b7a98cdcf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 8 09:27:17 2022 -0400

    remove unicode

commit 82ff8adcb262e206f70c1799b7f5ba9a5b6689c6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 8 09:04:34 2022 -0400

    remove unicode

commit 06604bcad1018c7177089f1f6bc24d9464b261bd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:07:22 2022 -0400

    bumped changelog version

commit 3ab8f1373852280173182371c02862a185bb70d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:11 2022 -0400

    readme

commit 9f75cf6b9db791865999442e3d2e929fd6a032e2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:40 2022 -0400

    copyright

commit afbf4358794b1546e33bebe1a1801ef4a1ed6738
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:40:17 2022 -0400

    readme

commit 4c922285cf37789c8da84b62094f50474abac041
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 22 09:51:02 2022 -0400

    rename

commit 18b84edc2d3e3e441a7a3769662a2b8113b394ff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 9 08:03:22 2022 -0500

    bumped changelog version

commit 756060c7ee158d3d156c1d9129b90c57f4bbd664
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 9 07:45:08 2022 -0500

    update links to documentation

commit 1daecc1249d07c51866443a7ba245e1e6c48b4fe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:34 2021 -0500

    readme

commit b0b2a92aa83ec867d0250b25f0adfe7b5de4061c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 15 18:33:27 2021 -0400

    bumped changelog version

commit d0edaab2d177a2eca08a429957b91ae41c03d790
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 15 14:12:38 2021 -0400

    comment

commit b33e7b0cb74dcdea697676160183b314bb4ba3a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 12 12:01:12 2021 -0400

    bumped changelog version

commit dfd17c12df0ef73fb7f46e74f639a282af885113
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:41 2021 -0400

    readme

commit 3759f8da3dd339a7e3cb2144f94087d9f5a974ff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 30 16:31:21 2021 -0400

    bumped changelog version

commit c038ed7ea7b413cae5e24a0c4c83dba5dff5bd86
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 30 13:08:38 2021 -0400

    debugging

commit b2f3811273ed196bbaceda3e70778c1aaf17437c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 18:39:38 2021 -0400

    bumped changelog version

commit f6c7fa071c96100c96ba5622f9a8d7c8ea8a495d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 18:11:25 2021 -0400

    improve function tb_prefs_js_file_patches

commit bde23ec54313f7579a735c612d5fe562456c0838
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 05:34:18 2021 -0400

    bumped changelog version

commit 72884f9c32f0cf93043a557448d625c339ea0d79
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 05:24:12 2021 -0400

    LANG=C str_replace

commit f9a22a3b896a4d63612d3f42dc97be226783d7cb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 12 17:28:31 2021 -0400

    bumped changelog version

commit a656c7e67d3adb80e989a089821433d38007e4d4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 12 17:23:43 2021 -0400

    Update path to local browser homepage.
    
    Patch prefs.js in user home folder.
    
    Because it changed during Whonix 15 to Whonix 16 upgrade.
    
    from /usr/share/homepage/whonix-welcome-page/whonix.html
    to /usr/share/doc/homepage/whonix-welcome-page/whonix.html

commit f4ea3d22cdcb1cb554e80a67a693cce93edb72f9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 17:07:55 2021 -0400

    bumped changelog version

commit 549d20a92b90379b18221e0ae1b96f9405e81da4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:09:46 2021 -0400

    delete /usr/share/tb-profile-i2p/profile.i2p/bookmarks.html since unused

commit e9c41b7a645a526aec8764c82259d3c2234eb49f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 18:51:34 2021 -0400

    usr/share/homepage -> usr/share/doc/homepage

commit 51e667bfe98710e9f64b913def7b77bc0fcacb82
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 12:52:39 2021 -0400

    comment

commit 06920625f333b52febbfe2ce3c56ea717e95e254
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 07:05:06 2021 -0400

    lintian FHS

commit e151a81566c7df2892d342a58e9c8f4113d1431b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 07:04:41 2021 -0400

    lintian FHS

commit 0b0deb8c76c0fbbe964cacc567cd75e9e8327ccd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 06:56:51 2021 -0400

    update path

commit fb2c153b51c0632532ac7fe534c561bc5571274d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 06:42:12 2021 -0400

    move /usr/lib/msgcollector to /usr/libexec/msgcollector as per lintian FHS

commit 0cf88c11a4d375784236e956f5706c861392ca6a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:48:58 2021 -0400

    move /usr/lib/helper-scripts and /usr/lib/curl-scripts to /usr/libexec/helper-scripts as per lintian FHS

commit 3b039c97cf33f751d40dcd26b2ba5047f1ca71b4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:47:36 2021 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit e1c8f97db0ca7203cb30d61eb71a9aff48c25a64
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:44:11 2021 -0400

    man page

commit 557ade66a5b34258b47bcc5c40e1383dd23f3a4b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:27 2021 -0400

    bullseye

commit 2c83ce97df4bd0c999fd06a6d7d73d85719ce59b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:45 2021 -0400

    readme

commit 44b91f95c854bac6922353e0b60f35126c63b419
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 5 08:40:43 2021 -0400

    bumped changelog version

commit 04247841ff70f3fdb367a6d2d311df34bcb8a905
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 5 08:40:42 2021 -0400

    readme

commit 25bfdbcac79126d9ea169157522d1e0dcdbe8213
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 28 08:43:26 2021 -0400

    cleanup security slider configuration comment

commit abf6d9b03d1385c745089c3a09289d4498260fc3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 28 08:42:51 2021 -0400

    remove SecBrowser specific code since deprecated

commit e4e3305e43fa8b7cdd4d69a591e378f3ad62b9b7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 28 08:41:22 2021 -0400

    remove SecBrowser specific files since deprecated

commit a8ab3aab5cd6b0b95abb71b83beaf321a83d9c60
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 28 08:40:25 2021 -0400

    deleted usr/share/torbrowser/security-slider-highest.js

commit bdf47edbb8e5b98d6005652b64a3feac9bca9842
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 28 08:39:17 2021 -0400

    remove security slider code since deprecated

commit b5d2280ad445bc1fbdb613424664bf8503e6f395
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 28 08:38:00 2021 -0400

    add custom user.js support
    
    remove SecBrowser specific code

commit 871bf6c004d55bb054d4160b82ea511f0b28d207
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 28 07:31:26 2021 -0400

    output

commit bc35fbc647fb997a5509223997324d86d2169505
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 09:12:30 2021 -0400

    bumped changelog version

commit 106e8b28faad9b615098b8be47917f8162ac3fd2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:57:23 2021 -0400

    copyright

commit 2df39b2c6d41ec5ad3dec5c639526aa24c371679
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:38:28 2021 -0400

    bumped changelog version

commit cb6aea900801da10bd84f0925809ebe46352bdde
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:23 2021 -0400

    copyright

commit 2e96832f0dcfd0d300f87b8fc2362a3a7416c4f9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 22 13:17:02 2021 -0500

    bumped changelog version

commit ef86ebc9bf9a7455fecaca30ea6e40f5158d9070
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 22 13:16:51 2021 -0500

    wording

commit 9804633a964ac898869cd3e46da4bbc6633361f7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 21 08:18:43 2021 -0500

    bumped changelog version

commit 95d84d3c6a5d873853533318db36607c25d90edc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 21 08:18:42 2021 -0500

    readme

commit 59ca97201a666d0701e24cc038fa7feebfd7fe70
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Feb 21 08:18:08 2021 -0500

    SecBrowser deprecation notice
    
    https://www.whonix.org/wiki/SecBrowser

commit 43d2b27773c9fedd938eceb86fe6dd9f58af9695
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 17 02:16:39 2021 -0500

    bumped changelog version

commit 7485cef02f54eaf2ecd9b1b88d8d7ab964093470
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 16 04:28:14 2021 -0500

    output

commit addd374b7717126f8e9533e726588c255ef2ed67
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 01:40:58 2021 -0500

    bumped changelog version

commit e0bb5cde397ebf434d0484915640e9a4e2d0583c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 9 01:29:27 2021 -0500

    port to /run/qubes/this-is-templatevm

commit 35346effea146a42943fae7295af5f0f6bc95a0d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 25 07:31:25 2020 -0500

    bumped changelog version

commit f3cb9a0efd3a17e41f91b04e64a1ec5fedd27868
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 25 06:48:58 2020 -0500

    output

commit d8d03aa0b5e5945eb28a3c39de772c3173822014
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 1 07:56:15 2020 -0500

    bumped changelog version

commit 190a3f768e394bd07bd825ff6b5a4edc44f9c866
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 1 07:50:31 2020 -0500

    fix opening URLs which contain question marks ("`?`")
    
    remove `eval` from `tb_run_function` since not needed
    
    http://forums.whonix.org/t/torbrowser-cli-wont-open-urls-containing-question-marks/10514/1
    
    pass `--verbose` to `start-tor-browser`
    
    https://forums.whonix.org/t/system-wide-sandboxing-framework-sandbox-app-launcher/9008/226

commit a124477bbbef3d7084c75a2dfd718c8e3cdddc89
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 07:52:44 2020 -0400

    bumped changelog version

commit 317462707a94b5221acf76f7e92177326aa70207
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 07:46:35 2020 -0400

    add sandbox-app-launcher Qubes DispVM support

commit 398178490d8fe5cc7f0c9d850bd54b3e6205d1d9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 07:30:21 2020 -0400

    output

commit 6f3b35af58707786f0b3ae5afe97fe5ae6cb3029
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 06:30:07 2020 -0400

    bumped changelog version

commit 3ee16516780d7f3d88e9dc0778d91087e9fcc7bc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 06:23:06 2020 -0400

    introduce tb_no_start for better sandbox-app-launcher support

commit 29829d7632f399157be771f96e4cd6a70b856a96
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 06:17:15 2020 -0400

    improve noexec check for compatibility with sandbox-app-launcher

commit a94da3b7917237e410f0563ee9ee25a94b944a3f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 30 09:57:39 2020 -0400

    bumped changelog version

commit a458c96c5fed477f95c730e185c2b46efc611d64
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 29 16:56:21 2020 -0400

    refactoring

commit d0afec0df5aa2d0ab49b8e9ff74b65c2d9fc4404
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 15 08:31:24 2020 -0400

    bumped changelog version

commit 93218b2f0f67203c24b7ecef33b2767a67126c63
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 14 09:45:14 2020 -0400

    fix

commit 42e5353491242dc2bf93867878442bad1c809283
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 14 09:43:44 2020 -0400

    add more folder permission checks

commit 092ec9dc8c511fecb050cd165c1b57537914af21
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 7 09:30:29 2020 -0400

    bumped changelog version

commit 20c2165fb83f0d095492329b1329b704e7d031ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 7 09:27:53 2020 -0400

    allow skipping arbitrary functions thorough use of `tb_skip_functions` environment variable
    
    abolish `tb_no_start`
    
    https://forums.whonix.org/t/system-wide-sandboxing-framework/9008/187

commit cf5b486d54e166cf20ad2db31c6ab52d0abe2456
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 6 13:36:32 2020 -0400

    bumped changelog version

commit e70f5a470ac262290537910c75990767bf207bc9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 6 13:36:31 2020 -0400

    readme

commit ce589c2b9c8e5c4acc2834045290b29ac136cce7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 6 13:27:16 2020 -0400

    add environment variable `tb_no_start=true` support
    
    to avoid starting Tor Browser
    
    https://forums.whonix.org/t/system-wide-sandboxing-framework/9008/182

commit f14dd237fc4b06503135ecbe8645a38ed35a8719
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 11:50:53 2020 -0400

    bumped changelog version

commit 24aadd5e9484d89e19143d8813a88199e9ef5895
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 11:50:23 2020 -0400

    SecBrowser: actually `user_pref("network.dns.disabled", false);`
    
    https://forums.whonix.org/t/tor-browser-10-without-tor/10313

commit e5fa4410ccc6aa9d02f006c824615081f8e7dfe9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 05:36:31 2020 -0400

    bumped changelog version

commit 8835a74a26a7fbada03d541359f51bf3ab1796db
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 05:35:31 2020 -0400

    SecBrowser: Disable popup asking to prefer onions since onions will not work in clearnet browser.
    
    `user_pref("privacy.prioritizeonions.showNotification", false);`

commit 2123d35eada2e1672031fdfcdefd23dc3ba5981b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 05:32:31 2020 -0400

    SecBrowser: actually `user_pref("network.dns.disabled", true);`
    
    https://forums.whonix.org/t/tor-browser-10-without-tor/10313

commit 98fe4b4321e0d7f4221358fd27ca9b2858e896d9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 04:55:46 2020 -0400

    bumped changelog version

commit e986d5f9ac77ad926f20ad37a9920bc58a356b35
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 04:54:23 2020 -0400

    SecBrowser: add `user_pref("network.dns.disabled", false);`
    
    https://forums.whonix.org/t/tor-browser-10-without-tor/10313
    
    Thanks to Lew for the bug report!
    
    Thanks to 2-unglaubig for fix suggestion!
    
    Thanks to digholer for fix suggestion and upstream bug report!

commit 72f35c184db327ecc08fbc138c08337f90be3651
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 5 04:06:43 2020 -0400

    bumped changelog version

commit d1918d7672e8d011e4b9ff30b86f8032d63a145f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 28 04:28:42 2020 -0400

    output

commit 67919e51b7e38e356679cd9981f4f174e6c4b0a4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:45:51 2020 -0400

    bumped changelog version

commit ff91fa3f7e6254d3db35e6be4b7e92810a332d37
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:38 2020 -0400

    readme

commit 51583594debf803451b44438cd8df85e6f96c1c7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 12:58:51 2020 -0400

    readme

commit 4cb4a04e10b162b35303b9e0eb0b7dd078dc46f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 09:46:05 2020 +0000

    bumped changelog version

commit 8762201f057ed7cd449bc8bb28e792d738692655
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 09:34:51 2020 +0000

    description

commit 5b235933b70daed0b6c839ce4ac2f7089fcdc068
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 12:35:47 2020 -0400

    bumped changelog version

commit 3d9d69daf9611f390dac9b3e3b6f578991bf6406
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 12:28:35 2020 -0400

    copyright

commit 0b1cc6b6d4ee3843ae47fa9cdd3af27fe3128640
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 08:02:04 2020 -0400

    bumped changelog version

commit 5fa4ecd548187b5342a56b4f20cda1900b415f15
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:52 2020 -0400

    readme

commit b71fd0b3e353b78a1226062aab75e6eadd17ed81
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 17:34:59 2020 -0400

    remove 'Build-Depends: ronn' since no longer required

commit b377c5f380ce7d7ce82e0a9d80e523f04f559762
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:33 2020 -0400

    remove genmkfile

commit 19dd3da4d8882f0bc3ae61d576922bc55fc1b6ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:33:54 2020 -0400

    add debian install file

commit 9239306edaf7915f28765f2655f5e6cedd0b707f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:56:49 2020 -0400

    add man pages (generated using "genmkfile manpages")

commit 49ed3dfe6a5d931845ca984ced7bea77298a3c7b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:49:49 2020 -0400

    no longer create man pages during build process
    use pre-created man pages

commit fcc26bda1a62c5889d4ec79a3c707d618d410e75
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:42:49 2020 -0400

    change path to auto generated man pages

commit c28e91ec73e0e15d641bfe817b89a598fa952be2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 11:02:11 2020 -0400

    bumped changelog version

commit 5be63742930d5d7d76f8299f4d766dd461b739ca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 09:04:01 2020 -0400

    update copyright year

commit 1afd601d38b29d2975180ced2703a03bf639e58d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:50:00 2020 -0400

    update copyright year

commit aab6b969d779ed820260b585c8d242d78144da73
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 08:37:17 2020 -0500

    bumped changelog version

commit eed0696561c2c5eb15027e815f35ff91cb27e9a9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 08:33:01 2020 -0500

    readme

commit 72d5f063e40eeecd7b43775fa1a1d830b6080733
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 3 09:46:33 2020 -0500

    remove security slider from description
    
    since no longer in use

commit 493886f4be77aae967d3c01bf887e5f662131704
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 3 09:45:36 2020 -0500

    SecBrowser / i2pbrowser: no longer use firejail by default
    
    even if installed
    
    since currently not maintained by anyone in Whonix / Kicksecure

commit f6d88a34ef04d629da8e0c026c932f44affce34a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 3 09:15:54 2020 -0500

    bumped changelog version

commit 0309e850c716a00d4a8358ad80fac656c65de23f
Merge: 18f3f03 2acc0bd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 20 00:44:28 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 2acc0bd8af89fb912d7f6c412936c37efc60023f
Merge: b774620 110d874
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 20 05:37:55 2020 +0000

    Merge pull request #12 from Thinkablemell0w/patch-2
    
    change console Page to /home

commit b7746204f3c6ff1f1bb3cd445cd89760b6606c5a
Merge: 18f3f03 3da4710
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 20 05:37:46 2020 +0000

    Merge pull request #11 from Thinkablemell0w/patch-1
    
    remove blank homepage setting

commit 110d874ed770282f3a7f31ddfced2340ca298583
Author: Thinkablemell0w <60707409+Thinkablemell0w@users.noreply.github.com>
Date:   Wed Feb 19 19:11:41 2020 +0100

    change console Page to /home

commit 3da471035043ae0cad6d6269a8d857f1913b8259
Author: Thinkablemell0w <60707409+Thinkablemell0w@users.noreply.github.com>
Date:   Wed Feb 19 19:10:43 2020 +0100

    remove blank homepage setting

commit 18f3f030230114720fcf191179ce274cc9bbe93b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 14 01:11:32 2020 -0500

    bumped changelog version

commit 12b8cf93d03a222f1a704061e1acc04de345e2df
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 14 01:06:01 2020 -0500

    reword

commit 977f24f3efa6fe88995559fa2b1b8c84fae89c9a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 14 01:03:32 2020 -0500

    reword

commit 846e2af6984db0dc59f69ae8f4764a44496d1599
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 14 01:00:45 2020 -0500

    reword

commit 4507a754960b5ef4339f8e6be651619930bdbc13
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 14 00:59:20 2020 -0500

    reword

commit 60034d4e6fd4aaad3dd83be635fc2ca3123c14ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 14 00:53:18 2020 -0500

    fix

commit 868f68feb8634abd6efb38433515cff8d68047c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 14 00:52:42 2020 -0500

    reword

commit 798d853093794e740104c0a5c24bf5369679f91d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 14 00:51:19 2020 -0500

    standard disclaimer

commit b8514ef97ccafd49aa5e7bab4885eaa02f74fe7b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 14 00:49:35 2020 -0500

    refactoring

commit cc35fb815d059b020c84388874784956da01dfea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 14 00:48:41 2020 -0500

    refactoring

commit 5502fcf22223b00a8272aff18fa14990ea1b7342
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 13 11:03:23 2020 -0500

    bumped changelog version

commit 0647d1a69c21b7500590737ac603003d0850e287
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 13 10:25:40 2020 -0500

    i2pbrowser homepage: add link to web interface

commit a1eeaa28961980bdb5c1edf4691a096e242d01c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 13 10:01:02 2020 -0500

    bumped changelog version

commit 1af4b8261c1b95e7a42fef4b39fc09618904b234
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 13 09:58:52 2020 -0500

    i2pbrowser: use "standard" homepage path

commit ec43dd55cada2184ae6d2338db6092759f55a9ca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 13 09:56:03 2020 -0500

    i2pbrowser: unset default by whonix-welcome-page /usr/lib/whonix-welcome-page/env_var.sh

commit 3be99bdd59b85ac950f4add32ba9eaa82edf9d71
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 13 14:13:15 2020 +0000

    bumped changelog version

commit af420d2e8b3abeebf2835ec11f27e758b663571d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 13 07:40:21 2020 -0500

    fix variable name tb_2ip -> tb_i2p_browser

commit 377eee077a8d1ee47a3206920dcbab5884eae02d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 13 07:34:36 2020 -0500

    Check if i2p related services are already running. And if not,
    lxsudo prompt, systemctl enable and start i2p related services.
    
    This effectively results in a one time lxsudo prompt for users of
    i2pbrowser in Non-Qubes-Whonix.
    
    This is different in Qubes-Whonix TemplateBased AppVMs due to
    TemplateBased AppVMs having a non-persistent root image by default.
    These users should run:
    
    sudo /usr/share/tb-profile-i2p/enable-i2p
    
    in Whonix-Workstation TemplateVM.

commit 34ba6a422ef945fd151e83d1d338f5d9dd215c12
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 3 08:44:24 2020 -0500

    bumped changelog version

commit 1d1f77453901be4218c1facacb7c94fe4ccf9480
Merge: 09077a9 1921a89
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 31 12:15:20 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 1921a89432a01c209bc712e2a2a55f7a21ae47d3
Merge: 09077a9 c2859f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 31 17:14:49 2020 +0000

    Merge pull request #10 from HulaHoop0/patch-1
    
    Modified to work with privoxy

commit c2859f0b480ecd55cfce9968d1759ce796d1c875
Author: HulaHoop0 <55955185+HulaHoop0@users.noreply.github.com>
Date:   Fri Jan 31 16:44:45 2020 +0000

    Modified to work with privoxy

commit 09077a98471f0a5e84528eb24e870a0b38444e98
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 05:24:29 2020 -0500

    bumped changelog version

commit 7f3e9e523b662a183473b9c41fbc7f5aaa56f33e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 04:24:22 2020 -0500

    SecBrowser: disable "Set security slider "Safest"."
    
    Broken, therefore disabled by default.
    
    https://forums.whonix.org/t/broken-security-slider/8675

commit 5eff54428a8726b0800ea7febce82ac9b418cc9c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 30 06:00:39 2019 -0500

    bumped changelog version

commit 5d51e69df5ead2ce2f0e83d56ad064790b1854b3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 01:46:01 2019 -0500

    Disable security slider first start popup because it is broken.
    
    https://forums.whonix.org/t/broken-security-slider/8675

commit 2dfd914ebdce1c311d7ccb4d0e2241baa968817f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 20 07:13:26 2019 -0500

    bumped changelog version

commit 2e0c1c4de3093e50cc1cda7e998040c1153ea264
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 17 03:36:23 2019 -0500

    remount Tor Browser folder in /home with exec (disable noexec if enabled)
    
    https://forums.whonix.org/t/re-mount-home-and-other-with-noexec-and-nosuid-among-other-useful-mount-options-for-better-security/7707

commit 9fd05e84e2392d739b5573505c0eee2dff21b385
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 17 03:07:28 2019 -0500

    run check_noexec later

commit 65c6972bb9f7e65ab54bb278125b4e159b1d22bf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 9 08:26:24 2019 -0500

    bumped changelog version

commit 04b59367dc7228c8563e3ec83b6679eb75e5ba7c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 9 08:23:56 2019 -0500

    fix

commit 0d253530d38cc23492342854cfbb4fcfbff60c12
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 12:44:01 2019 -0500

    bumped changelog version

commit a991ebca335ebf2ab5f6b90ded96f6e8cbf239b5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 12:40:09 2019 -0500

    detect if /home/user/.tb is mounted without noexec

commit a5cc4683be2a5c3a8ade69188d18f27723cc48f2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 12:34:30 2019 -0500

    output

commit 79ed07d3fd31d3d7efd5802d53202302127ed437
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 10:11:45 2019 -0500

    bumped changelog version

commit 05e9025cc12b0c2c4478a1218b919e6f769c698f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 04:25:28 2019 -0500

    do not attempt to start when /home is mounted with noexec

commit 9a26d3d3d2a17a6de6d475b6ed8c9e7507757395
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 18 19:16:55 2019 +0000

    bumped changelog version

commit b98efd24614f911f69fed116031f9b83fd23ffd9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 18 09:33:43 2019 +0000

    readme

commit 5d236b0dca9b3941c55ab7e04b2053c185fd6d50
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 9 12:58:24 2019 +0000

    bumped changelog version

commit 2e741b4a16066d3ae187e4a9406f2271bbe72bab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 5 09:35:02 2019 -0500

    Enable punycode
    
    to fix very hard to notice Phishing Scam - Firefox / Tor Browser URL not showing real Domain Name - Homograph attack (Punycode).
    
    https://forums.whonix.org/t/very-hard-to-notice-phishing-scam-firefox-tor-browser-url-not-showing-real-domain-name-homograph-attack-punycode/8373
    
    https://forums.whonix.org/t/secbrowser-a-security-hardened-non-anonymous-browser/3822/162
    
    user_pref("network.IDN_show_punycode", true);

commit 74303636a76da01d0cef3d80a33e0491b4f21a44
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 16:07:31 2019 +0000

    bumped changelog version

commit 1a9a61c4caff3bd12cb2fdb6de10ae59e088e03a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 29 10:27:25 2019 -0400

    disable Letterboxing in SecBrowser by default
    
    https://forums.whonix.org/t/is-anyone-having-white-bars-in-the-tbb-tor-browser-letterboxing/8345
    
    https://forums.whonix.org/t/secbrowser-a-security-hardened-non-anonymous-browser/3822/156

commit 18d840ba226b8cec825f4b73af0d09824b55b21e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 24 06:56:55 2019 +0000

    bumped changelog version

commit 88e3792adca9ee6ccb9444844f1ea430a40039c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 24 02:41:17 2019 -0400

    comments

commit aaed392da17fe8cfb396fcec2f70484e02a809cb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 24 02:21:37 2019 -0400

    comments

commit bfc7738f01ca196640fc7a3dd592b1f722d3dbfe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 24 02:19:05 2019 -0400

    copyright

commit 099916f5810f9355c8bb0ab75f9788f20e0dc7e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 24 02:18:48 2019 -0400

    refactoring

commit b5314cc23da2cf0f85c2e08c6d1f2eb2ae2ee483
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 24 02:18:10 2019 -0400

    code simplification

commit 23fb362ef3807e9325fa3a81fb6063f117dad734
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 24 02:17:37 2019 -0400

    code simplification

commit fda3b8370623bd782d9327976633e0153e41edaa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 24 02:14:42 2019 -0400

    remove 'export TOR_HIDE_UPDATE_CHECK_UI=1' for SecBrowser / i2pbrowser
    
    since not justified. Unknown reason why this was introduced.
    
    No reason to disable Tor Browser internal updater. Works equally well for
    SecBrowser. Tested.
    
    'export TOR_HIDE_UPDATE_CHECK_UI=1' seems to have had no effect but remove
    anyhow just in case it ever gets fixed upstream in future.

commit 99ca4f236861e9d2c958b183dbddaf9e16328a3f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 23 11:50:03 2019 +0000

    bumped changelog version

commit e7d08e74283aea491a3163d92a5cf2b2af3c6181
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 23 11:46:56 2019 +0000

    fix, only set TOR_DEFAULT_HOMEPAGE if not already set

commit 3f220f766b8a48e8a06e18db8585df8ca0abddb9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 23 11:46:05 2019 +0000

    reactive default homepage since fixed in Tor Browser 9

commit e86a794ceb21f16acdce2a7d7c34e3214612d51c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 23 11:44:09 2019 +0000

    fix: export TOR_DEFAULT_HOMEPAGE

commit 8088e81ac99d8ea56a2844ad3ac36334707f4a3e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 23 10:23:16 2019 +0000

    bumped changelog version

commit 888bc0b62fc466ed902ba2d0da657676c837fd8f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 23 10:14:05 2019 +0000

    output

commit 4d6406953757f260c1e63344159715ff2ec7a4d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 23 10:10:42 2019 +0000

    output

commit 59c1fda3855fe61c4cf78e23b65d1c56862a8489
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 5 11:33:56 2019 +0000

    bumped changelog version

commit 90b116fbed89581a45dc94c584e950f9e17db36f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 5 07:19:18 2019 -0400

    set TOR_DEFAULT_HOMEPAGE to "about:blank" if unset
    
    https://github.com/Whonix/tb-starter/commit/7e160ddd10f50c527b10b660731006c1d2d55421
    
    https://forums.whonix.org/t/noscript-with-security-slider-at-safest-permits-around-30-sites/8160

commit 9902351bcd5fbe8f7e798e50de620e4c0939ba89
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 20 14:02:19 2019 +0000

    bumped changelog version

commit 7e160ddd10f50c527b10b660731006c1d2d55421
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 20 14:01:28 2019 +0000

    no longer set default homepage
    remove link setting code
    code simplification
    since this is triggering a bug in Tor Browser / noscript
    
    https://forums.whonix.org/t/noscript-with-security-slider-at-safest-permits-around-30-sites/8160

commit 47d8a3dc3c6abde8a60e3c089322947c2ab6dfd7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 19 13:07:00 2019 +0000

    bumped changelog version

commit a92a4ced3ee92d41685b247ffcd218c001d1cd5b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 19 04:21:11 2019 -0400

    comment

commit 04d66bd71c1f20baf3e1fe6d2a6c142582379891
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 16 13:34:49 2019 +0000

    bumped changelog version

commit 61425b21d8fcd959309c74e9b40511dd733c18ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 16 12:19:30 2019 +0000

    fix DNS with SecBrowser in Kicksecure

commit 5cb5e87570602d8ce94b97c4c6cf0aa9460ea018
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 16 11:43:29 2019 +0000

    remove coming soon since Kicksecure release soon

commit 7e8f8ba095ccc4eb2d27cc93cfed68c55727618d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 16 11:42:32 2019 +0000

    donate now

commit ddff4530d6933ad30a07c38a132522540addcd89
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 16 07:37:00 2019 -0400

    typo

commit 35ed9d54d71b9a47317ebc4024f7b09a89238a58
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 13 13:38:20 2019 +0000

    bumped changelog version

commit 022f7ccdffc91ec6a6bcf2b5862bb768ed50e6c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 13 13:22:58 2019 +0000

    update link

commit 47a5ee76016b8a366494e7e5c7c504aa88df9775
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 7 06:12:08 2019 +0000

    bumped changelog version

commit fc87f8d3741e529410d898bfccce4b361d7da316
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 7 01:20:50 2019 -0400

    fix, do not ask slider question again when it was answered "No"

commit 99200c71a79a149961667d75f8dc6985b4249e45
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 31 13:45:47 2019 +0000

    bumped changelog version

commit e99a660c495a5cc874f04bfe5b26a7cd6c533bde
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 31 08:18:00 2019 -0400

    fix copying from /var/cache/tb-binary to user home at first start

commit a7c1dcdf485e2c3dd749329db260c23cc4b37e4a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 24 16:42:03 2019 +0000

    bumped changelog version

commit 14f718747ce25fb4429760dea0e6161160e9247d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 24 16:39:57 2019 +0000

    readme

commit 52d160ee7140e3555bc3b3006a08789a5ff1fb8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 24 12:18:34 2019 -0400

    remove hardened malloc LD_PRELOAD since it does not work with Firefox
    
    https://forums.whonix.org/t/hardened-malloc/7474/29

commit 0c03f49a9d38b665d7615c6bcea64c1dcda24806
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 23 16:57:49 2019 +0000

    bumped changelog version

commit fadb867388be828e226fde587d9bb43547901ede
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 18 14:03:09 2019 +0000

    enable hardening by default if firejail is available in i2pbrowser
    
    web fingerprint is non-default anyhow, so nothing to lose related to fingerprint
    
    https://www.whonix.org/wiki/Tor_Browser#Hardening
    
    https://forums.whonix.org/t/tor-browser-hardening-hardened-malloc-firejail-apparmor-vs-web-fingerprint/7851

commit 9dba5f8c761a3985f0442dcc68733f886560155d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 18 13:59:48 2019 +0000

    refactoring, update i2pbrowser for recent code changes

commit 9a9d69c75b1f202910f9b9f4d2ff5dcf4ca0b915
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 16 16:41:58 2019 +0000

    bumped changelog version

commit 15ecbdb9b668c468289aa8de6a75629f8e92f18a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 16 16:41:01 2019 +0000

    add debian/tb-starter.install
    
    unfortunately required because there is now a meta package in debian/control

commit 45341638d3e6658bf43933592381f7b8d7ca572a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 16 16:40:54 2019 +0000

    fix

commit 7c400bfd43f51295332e21b7dcd900d73256aa3f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 16 16:00:27 2019 +0000

    bumped changelog version

commit d9d9bbda95c6d0c1d6a8c4e9bad33a7967a9c33a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 16 15:57:31 2019 +0000

    readme

commit 9f837db38462d72dca311dec5d0171ea6932a7db
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 16 15:56:47 2019 +0000

    add secbrowser metapackage for ease of installation

commit 4bc516920b37896d7e65ea9e5bd3fa53c10636cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 16 15:42:00 2019 +0000

    Icon=/usr/share/icons/anon-icon-pack/secbrowser.png

commit 5949aaccb23e92756987cffd4a4ab32cba2549a7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 15 15:18:40 2019 +0000

    bumped changelog version

commit 61243b9431f3a180e5ce7ce8841852415d5b4bfb
Merge: a64abd8 8452e79
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 15 01:33:43 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit a64abd8c00bf9e8c9ab3252213a2f0b37c44757e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 15 01:33:06 2019 -0400

    output

commit 970c953a1b7f8b29bad530457f6d6d94a1b1f0dd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 15 01:32:14 2019 -0400

    do not export LD_PRELOAD and instead prepend it

commit 8452e79e82774fb8e3c344480f5d7c12983fa09a
Merge: f4e514b 7e6dc42
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 15 05:26:32 2019 +0000

    Merge pull request #9 from 0brand/master
    
    torjunkies' forum Nits

commit 7e6dc42c920889bad183cee730d4b07f464856e0
Author: 0brand <0brand@mailbox.org>
Date:   Wed Aug 14 23:17:58 2019 +0000

    torjunkies' forum Nits

commit 1d341d13151adc5e672e2e398365096732e40873
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 12:44:53 2019 +0000

    output

commit f4e514bef3f8156cb9098ea3ac288412814e56b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 12:38:59 2019 +0000

    bumped changelog version

commit c8095b790dd193e1f14d5d9ccceb7397f8d8906c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 12:37:41 2019 +0000

    fix error message on non-zero exit code when using firejail

commit bc594b3c81b293ae6c05e8c19a38bda07366822d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 11:14:00 2019 +0000

    bumped changelog version

commit fd4e34eb4a321f46d89dde9e0ee130c92655df3b
Merge: 01492cb a36f540
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 10:49:47 2019 +0000

    Merge remote-tracking branch 'origin/master'

commit a36f54049eca88591c1517736d8d286617875045
Merge: 01492cb 944548f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 10:49:20 2019 +0000

    Merge pull request #8 from 0brand/master
    
    Update SecBrowser welcome page

commit 944548f4cacdfd10cd09e79ddddafcf634bfe612
Author: 0brand <0brand@mailbox.org>
Date:   Wed Aug 14 10:31:15 2019 +0000

    Update SecBrowser welocome page.

commit 01492cbe70b8689b447460d35dc9c91443429e65
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 01:15:24 2019 +0000

    bumped changelog version

commit 54aa2da55ad8b9da34b0345ebfcf6bc103a865b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 01:15:01 2019 +0000

    readme

commit 700bcb3260a107d99ba7ade7d4dbe3c8506fc152
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 01:14:41 2019 +0000

    description

commit 664d9a97a8fb2594840ad2c8dee4e6882ab5e84b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 01:02:01 2019 +0000

    bumped changelog version

commit 523b8fb8ac9e3c796cb853715750b224c01e9b87
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 01:01:37 2019 +0000

    readme

commit d1145445f0db8ec5ac4ce96bb59c561efcc35999
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 00:55:14 2019 +0000

    description

commit 5bfdd0cd8222b958ff7c619d3bc1c8092062355e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 00:42:05 2019 +0000

    description

commit 21d968e4fe8f2c5003b215f0131a2a0a2e6d8c39
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 00:40:50 2019 +0000

    description

commit 028b5c36b533f36191f28e760fd2766730f05acd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 14 00:38:46 2019 +0000

    fix open link confirmation
    
    Thanks to @TNTBOMBOM for the bug report!

commit 9b66aec4e42a72116f52fd963f8a87db0039e41e
Merge: 6d100b2 a20d0f4
Author: 0brand <0brand@mailbox.org>
Date:   Mon Aug 12 18:01:03 2019 +0000

    Merge pull request #3 from Whonix/master
    
    sync with upstream repo.

commit a20d0f4222ed9b952420d37b1760d6a20b68ac66
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 5 09:13:51 2019 +0000

    bumped changelog version

commit d18795ac7a578989b23dad1bf660b37eeedef0d8
Merge: 25ad28b 4920fbf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 2 22:30:04 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit 4920fbf90efbdbce7380701809f6b756a4e42315
Merge: 25ad28b 6d100b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 3 02:29:46 2019 +0000

    Merge pull request #7 from 0brand/master
    
    Update link to home page.

commit 6d100b211f2764d4a7316d5ba3ffe37c27db6f8b
Author: 0brand <0brand@mailbox.org>
Date:   Fri Aug 2 16:37:35 2019 +0000

    Update link to new SecBrowser home page

commit 57b35b28c90b780ee39f149d6af15c162a032e1a
Merge: 05423fe 25ad28b
Author: 0brand <0brand@mailbox.org>
Date:   Fri Aug 2 16:21:28 2019 +0000

    Merge pull request #2 from Whonix/master
    
    Sync with upsteam repo

commit 25ad28b2ee68fb44311b8d9a27c31b6bea43aa40
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 12:05:51 2019 +0000

    bumped changelog version

commit a131420d2af58adc23fa9f3df9465407f4ca468f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:44 2019 +0000

    readme

commit da833d806b710052fed07fb4bd097235f6db72ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 02:44:33 2019 -0400

    disable firejail --x11=xorg sandboxing since it broke copy/paste in Qubes

commit 928e8789404c4b690b275e5808358722c36abd6a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 02:43:11 2019 -0400

    set -o pipefail

commit e8ab2e1bb4e3d33a5c0e8a908672b4084f962a71
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 02:42:39 2019 -0400

    set -e

commit 977506be84552834a7a84bc9fb8e96c9c9d566e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 02:40:25 2019 -0400

    source /usr/lib/helper-scripts/pre.bsh if available

commit 05423feb064c2f6b14ea5590aa78e9fe83f0bb11
Merge: fafe33e 24a3087
Author: 0brand <0brand@mailbox.org>
Date:   Thu Aug 1 00:34:18 2019 +0000

    Merge pull request #1 from adrelanos/master
    
    Sync with upstream repo.

commit 24a308733fe6c36bfc0b101b4efac45f99054c6c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 07:45:58 2019 +0000

    bumped changelog version

commit b27ff1c85f67d19ee6f531e8f437aa7b171a16e7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 03:11:59 2019 -0400

    /var/run -> /run

commit 37e5aa5def63c458a9580ffa9283590a3901774d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 14:12:42 2019 +0000

    bumped changelog version

commit 832af7be476ed632c8691c2a5fbd3d4440f6da37
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 13:52:38 2019 +0000

    shorten disclaimer

commit 635d60cfce6abae1c9bea7cffe7ac17739dcad8d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 13:40:29 2019 +0000

    update link

commit 7d495c41e51725b5d81cee0c1c8cb6d0bbff1b8d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 13:37:42 2019 +0000

    add link to homepage

commit 53028d31a8afbadcb494a800a4a9170b29356d34
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 13:35:00 2019 +0000

    title on par with https://www.whonix.org/wiki/SecBrowser

commit 1770cfab020c1cf1643d27bc880fa8e5eb388220
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 13:32:52 2019 +0000

    bumped changelog version

commit b50b41b8c27e37adef992ea5b3e279426376ae2e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 29 13:32:08 2019 +0000

    remove no longer needed "break" since no longer using a loop

commit bd63049a30e1a03de5e7ed46a447b441cb12d973
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 28 19:30:48 2019 +0000

    bumped changelog version

commit a4c0e9a44a44b1ccb175e04c0d63a0674308d083
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 28 19:20:53 2019 +0000

    update path to /usr/lib/libhardened_malloc.so/libhardened_malloc.so

commit 754ec4e37dbdd562f461d98ee417fb6c0d370788
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 22 12:06:34 2019 -0400

    fortunately no need to use versioned shared object file names
    
    https://www.debian.org/doc/debian-policy/ch-sharedlibs.html

commit 50ef3bf7de2368a5d5d379cd38c8a30fe8ad641f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 22 01:18:41 2019 +0000

    fix

commit 735a109bb8c96f2f265b17765d5d50b3b26416d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 22 01:16:50 2019 +0000

    bumped changelog version

commit 03e701beb51568a31bc4b4fc8e4dd919e26c4b60
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 21 12:23:04 2019 -0400

    automatically ld preload hardened_malloc if available when using --hardening
    
    Prefer user perhaps user custom compiled /usr/lib/libhardened_malloc.so
    over versioned file /usr/lib/libhardened_malloc.so.1 by hardened_malloc
    package.

commit 8531b35e0e46d5efc6331f0f3197a8fd62e8ff3a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 21 12:14:15 2019 -0400

    refactoring

commit 3b7089803ec84388f418af5d719196b096cfca95
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 20 08:51:59 2019 -0400

    comment

commit cc08a50688513419de87cd4034386db37efdc0db
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 17:08:36 2019 +0000

    SecBrowser: automatically enable firejail when available

commit 65d5cc1e9580c53414e06ed310572ce42c372d02
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 17:06:25 2019 +0000

    refactoring

commit 24ceb883409cd832596ac37c229745708b85a6ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 17:02:47 2019 +0000

    implement --hardening / tb_hardening="true"
    
    https://forums.whonix.org/t/automatically-firejailing-tor-browser/4767
    
    https://github.com/netblue30/firejail/issues/2863

commit 891fe26da58f6e3aea73ee2f55bdd7e151cbd1d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 13:18:49 2019 +0000

    comment

commit bdefe65a315d2942f578e8f8fea9469932246171
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 13:04:31 2019 +0000

    comment

commit ca82c7a871b4645be8a874a0e65104b2a7cbbd97
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 13:02:38 2019 +0000

    comment

commit 05f54338ea747f186425dedf8b347b8f267bfc3c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 12:54:29 2019 +0000

    delete obsolete comment

commit 8643bce42cc07b8d58bc37e3a74ed52b6a860c32
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 11:00:40 2019 +0000

    bumped changelog version

commit 9ec278d23d0253720492879cd19f9caeb7533361
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 11:00:11 2019 +0000

    do not copy if tb_browser_folder already exists

commit e35fe3c400bab56dc1db0994cb8ae5b1de845f92
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 10:57:52 2019 +0000

    fix paths; comments

commit da7f9e0a6336292ffa1eeb28e16d428d371b5295
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 19 10:09:08 2019 +0000

    bumped changelog version

commit b3488c51d823b3cc2c8b3e9c3d143f65a3e01d77
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 18 12:34:34 2019 -0400

    output

commit 0ab24ad11bd42f3f152ff9a6eff974d7ce62d0b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 18 12:26:16 2019 -0400

    add code to copy Tor Browser from root folder to user home

commit 697c812e37b229029445726c4d1583d1f63e5035
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 18 12:09:52 2019 -0400

    revert: In DispVM run from /var/cache/tb-binary directly.
    
    https://github.com/QubesOS/qubes-issues/issues/4918#issuecomment-506361988

commit d8a92fb5be145e2569b1f77bfbb08e3a1f1cfc9f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 23:16:32 2019 +0000

    bumped changelog version

commit 140b4244c1e37ad587ed83470d7ae1f728945beb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 23:14:35 2019 +0000

    comment

commit 954f4fa48d21af412143923ecf95acc63284425d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 15 19:50:56 2019 +0000

    bumped changelog version

commit 27c8968837494a08352118c7d1636c7df0ef797f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 15 13:20:15 2019 -0400

    comment

commit 721b45dc59b2a40eea0e860526f6d81eb8114c1a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 15:36:41 2019 +0000

    bumped changelog version

commit 569954b12bd1ec1c64c5bdb442338adbf33cd283
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 15:19:18 2019 +0000

    comment

commit b93906e55cefcfc3f63cac92d177257b72f1e6d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 11:29:01 2019 +0000

    bumped changelog version

commit 3aad82dbc16cc145bc35a7ee20861fb54b7ea3d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 07:23:11 2019 -0400

    debugging

commit 3a6213fd103287490af98d7656cedf9a3049e510
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 07:07:51 2019 -0400

    comment

commit d28eb5c26312c0ee5b4d369d499a5f780aa89f8d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 07:03:45 2019 -0400

    comment

commit 8d63169c96f2ed87c158b49264bf9d188b674f13
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 07:02:56 2019 -0400

    comment

commit 5f176d144fc022108b6e162f4578c565b51dd422
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 06:52:21 2019 -0400

    comment

commit d4db73b19a05a853ac8ebbf7263c4e468e51c8c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 06:52:02 2019 -0400

    comment

commit ae4fe4852d5043053c479e57cefefc126415c426
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 06:50:38 2019 -0400

    copyright

commit b3accaa409b2cc1841267dc8ce8fdeef82f59a35
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 06:50:21 2019 -0400

    typo

commit 9e5356263d31511e69980b3afdb70e3396d3cc05
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 13 06:48:44 2019 -0400

    get rid of warning message on SecBrowser startup
    
    Something Went Wrong!
    Tor is not working in this browser.
    
    disable torbutton's Tor remote check for clearnet browser SecBrowser

commit b3e8dc165ce9b0c728c80fa9759afa5bc3b69a77
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 12 15:24:44 2019 -0400

    add first start popup to ask whether security slider should be set to safest
    
    https://forums.whonix.org/t/ship-an-additional-version-of-tor-browser-with-security-slider-settings-to-high-by-default/7591

commit 588f22e67a31d96b962ec19d6d8956f520946171
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 12 12:59:33 2019 -0400

    comment

commit eabe90222893042439d0c5ecc39d9927803b2ea5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 12 12:56:37 2019 -0400

    shuffle

commit a9219fc2632f667c109cfcdc7e85fff462a60ed3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 12 12:25:30 2019 -0400

    import from tb-updater package and move to usr/share/secbrowser/user.js

commit 4450f17a9c4c8a29c1cf84fec07e55547e5ec349
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 11 14:57:33 2019 -0400

    fix, honor TOR_DEFAULT_HOMEPAGE and skip link confirm open if set

commit 5e270bb6d92437780c210827d0b182b24ef4eb8a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 11 07:33:07 2019 +0000

    bumped changelog version

commit 837e6d25719b871cfa0479ccd2314038705a2377
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 11 07:30:37 2019 +0000

    typo

commit 04aa11a755411f5c79cabe6c0e9800f51ff46145
Merge: 23ece3d 29ea95a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 11 07:26:14 2019 +0000

    Merge remote-tracking branch 'origin/master'

commit 29ea95a0c80a2f673aa32bdec6c11ea82f388dfc
Merge: 23ece3d fafe33e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 11 07:25:02 2019 +0000

    Merge pull request #6 from 0brand/master
    
    Update SecBrowser landing page

commit fafe33e25c7d2f95e3200103dd77953a30836be4
Author: 0brand <0brand@mailbox.org>
Date:   Tue Jul 9 16:33:53 2019 +0000

    Update SecBrowser landing page

commit 23ece3d0c2850da43708d09a17db85f2b867ebc7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 30 08:24:23 2019 +0000

    bumped changelog version

commit ef1771078930ac1a0d1670ca41aa8efe8269eeac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 29 16:39:12 2019 -0400

    man page

commit b55694ed4a334c8420a2992d0c5127ae72620ccc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 29 13:45:41 2019 +0000

    man page

commit 1b9c3bd977df60f70cfde33667e7e9df5990acbe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 16:42:49 2019 +0000

    bumped changelog version

commit 8eaf4998d43c806eaf91f810e790a109f385897f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 16:39:37 2019 +0000

    fix, run /usr/lib/tb-updater/first-boot-home-population in AppVM
    
    not in DispVM and not in TemplateVM
    
    https://github.com/QubesOS/qubes-issues/issues/4918

commit 48ee4f6449dee3c2a02bd9356e330ac994c17c55
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 15:04:08 2019 +0000

    bumped changelog version

commit 9057d8cc1bdbf803d6feb828a1d560a6b81fafbe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 15:03:18 2019 +0000

    In DispVM run from /var/cache/tb-binary directly.
    
    Thanks to @marmarek for the suggestion!
    
    https://github.com/QubesOS/qubes-issues/issues/4918#issuecomment-506361988

commit 81918b1ab109e26f91507ff322129c2bf7cb6944
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 13:45:13 2019 +0000

    update link

commit c21b744b9fb491cb7d6878aa063ce18a8434ab28
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 13:17:15 2019 +0000

    bumped changelog version

commit bd9f6f8c991ad0c170e63ce1412006239aee0760
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 13:16:22 2019 +0000

    Revert "simplify tb-starter function tb_detect_starter_bin"
    
    This reverts commit 11ed26d14ed308891db5fc366a1002da41bdd3c1.
    
    https://github.com/QubesOS/qubes-issues/issues/4918
    
    https://phabricator.whonix.org/T818

commit 6eb2894fd5c2fb6c87e8d2bf4be3d3398e7400f9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 12:39:20 2019 +0000

    bumped changelog version

commit b35cb42973ac6e58a72486f233f38f9266f3ff22
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 12:36:16 2019 +0000

    do not copy Tor Browser by default to user home at first boot
    
    because that wastes space in VMs that will never use Tor Browser
    
    do it at actual first start of Tor Browser instead
    
    https://github.com/QubesOS/qubes-issues/issues/4918

commit c73212253b046601cd6efdf7b4e1ad841653bc13
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 12:16:44 2019 +0000

    bumped changelog version

commit ffed26c148717106ba942a4b19d9df6459072b04
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 07:46:14 2019 +0000

    fix opening links from TemplateVM
    
    fix, do not wait for tb-updater-first-boot.service in TemplateVM
    
    since it does not run there anyway
    
    https://github.com/QubesOS/qubes-issues/issues/5115#issuecomment-505986216

commit 404452c7a19ca37214ef2fb277fa8ae36fc8651a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 07:27:35 2019 +0000

    bumped changelog version

commit 11ed26d14ed308891db5fc366a1002da41bdd3c1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 03:13:12 2019 -0400

    simplify tb-starter function tb_detect_starter_bin
    
    https://phabricator.whonix.org/T818

commit f3f33accc5a5fcde1f839f79ec80200602c58daa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 27 03:06:21 2019 -0400

    Revert "automatically restore executable permission"
    
    since it does not work. A much bigger list of executable permissions would have
    to be restored.
    
    https://www.whonix.org/wiki/Tor_Browser/Advanced_Users#Permission_Fix
    
    This reverts commit 1c9d280cbf45a72039381c2f7aac9e2deccd2977.

commit ecca46d41eb5635a058e29d9fcd00bb0fccbf760
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 08:38:33 2019 +0000

    bumped changelog version

commit cec282c9b5f0634b6f6b7888ab6da09733203aad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 11:12:10 2019 +0000

    remove code duplication

commit 320765815e9017b125bdcd00127e4b6b4e9abefc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 11:09:28 2019 +0000

    implement LINK=NOLINK / --nolink ;
    
    use variable TOR_DEFAULT_HOMEPAGE instead

commit 60c2aea2fb794bcdb78725d3d5b6af2821ca7f5e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 09:12:13 2019 +0000

    bumped changelog version

commit 2bcdab44da36a566db2f75ba136bb5a287d2a15a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 08:52:27 2019 +0000

    comments

commit 79b8b14582926c0201f1cf8f4f3c52ebe397fec4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 08:28:03 2019 +0000

    fix secbrowser settings folder parsing

commit 1c4c06cce93f4eb919b14a17a0109de2ada6013b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 08:21:02 2019 +0000

    implement /usr/local/etc/${tb_settings_folder}/*.conf

commit d4016c2cb8100fc5f70a411fe0861fe835912bc0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 08:17:34 2019 +0000

    cleanup

commit 870400d8d00e400c0f6238313ff42f9c9690722b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 08:06:33 2019 +0000

    comments

commit a0d60389deb0bc467f7ed0edc484c7935d2f879c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 07:24:05 2019 +0000

    bumped changelog version

commit 9bd9392d8e1bb76f9b8eb57a3258aeb3713324e0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 06:56:05 2019 +0000

    implement SecBrowser start menu entry

commit b24e41d7d69e2ee97ac259f5d4e13e7091ce4b5f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 06:41:24 2019 +0000

    duplicate to usr/share/applications/secbrowser.desktop
    
    for later modification

commit 2a958ef764b4b0b7ffebd1ef6d3589e18de66f1b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 05:40:36 2019 +0000

    bumped changelog version

commit 2d486ff7a7f11063c9dff094996edafde52d34fe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 05:38:03 2019 +0000

    implement secbrowser local welcome page

commit f570f7ad8558e13658dc3bc0745da2a6e2de5fc0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 05:19:09 2019 +0000

    duplicate usr/share/tb-profile-i2p/i2p-diffs.html to usr/share/secbrowser/secbrowser.html
    
    for later modification

commit 1c9d280cbf45a72039381c2f7aac9e2deccd2977
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 05:14:56 2019 +0000

    automatically restore executable permission
    
    Might be required in case a user restored a backup which messed up file
    permissions?
    
    http://forums.whonix.org/t/tor-browser-do-not-start/7574/8

commit f7264cc24954795056496827277af3432c4fd921
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 03:31:52 2019 +0000

    bumped changelog version

commit 8aad5860febcb960a61b3edbb6c402fc64bd8bbf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 21:54:03 2019 -0400

    output

commit 086a0c345f574e32e4f9b7697d211f4ba7d0bf21
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 21:52:47 2019 -0400

    remove "torbrowser --clearnet" since there is now "secbrowser"

commit d9bc9be48dbc645888f77499d481de1b24ee9404
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 21:43:12 2019 -0400

    implement secbrowser

commit 3498b728a4ad812deffeb7d297e77b581ae5f01a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 21:30:33 2019 -0400

    add support for TB_CUSTOM_WRAPPER_HOMEPAGE
    
    for browsers such as SecBrowser

commit 8a41f68e5dd9f7c5cd84b33be87faa6aef1b999d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 21:04:37 2019 -0400

    abolish variable tb_proxy_name

commit 6c13c4d24dc6c7190cf309a968c29ade1eb024f2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 20:59:45 2019 -0400

    allow overwriting variable IDENTIFIER and ICON

commit db82c2debfc543c12288428e7dcd0917fc26ae25
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 20:55:13 2019 -0400

    fix, export ICON

commit 617d8fd324f54f83a4e12827ebd4de3dd97c63fd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 20:54:16 2019 -0400

    abolish tb_name variable (replaced by tb_title)

commit 60e8fe316cb5a41c356382dd6438b435359e2144
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 20:34:32 2019 -0400

    refactoring

commit f3100df4e8390913a0c855cbfdc8a6ac5547c59e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 11:35:04 2019 +0000

    bumped changelog version

commit 58089caa3b5c29d802a3a8dbd8bd730e5da13af7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:36 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit 931a0cb000f18627f4c706aff1b0e411cb7f3b64
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 20:54:28 2019 +0000

    bumped changelog version

commit 6e8e73b1c58fb29fdf2fa5f6c02b80ba273a546c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:29:10 2019 -0400

    readme

commit fe818c820da776be42a309167873d25475df0e0d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:36:57 2019 +0000

    bumped changelog version

commit dd57a4f6122921ac21eaaf4ed68fbc28917e160a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:57 2019 +0000

    update

commit 90021369b0af29d932f62822c92d07a1e6b0cd0f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 13:05:37 2019 +0000

    bumped changelog version

commit 28102df140f3f0f8a9b1bd5bc7dc19336420ccce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 06:29:40 2019 -0400

    output

commit 685ab69d25c2590a559a23c0807677bfeac80b3d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 05:55:29 2019 -0400

    update link

commit 5d0418a47e19db7090c67019fdae53ea9e707fb1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 12:16:12 2019 +0000

    bumped changelog version

commit c8bb9c247f11a712457fca0e2539006f6f32ad9d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:51:07 2019 -0400

    port to debian buster

commit d434de2b08ba4a34216de409626c1848d206562e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:05:57 2019 -0400

    readme

commit bc0353f0c00aac97d5b1908dab3cb6bc316aaa37
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 10:05:22 2019 +0000

    bumped changelog version

commit abedea7b60bfd0afe0628ef6856dbc5db8090077
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:03:19 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit b2647c22f7c91b11feba8d34e5b6964a547c0b37
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:38:56 2019 +0000

    bumped changelog version

commit 018b0db4260fc24787632c725726939c8ca5e92e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:32:42 2019 +0000

    add improved legal protections clauses
    
    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.
    
    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:
    
    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.
    
    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding
    
    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit b1f7a5ebc669a81a1c144cf9d0e49a7880c10b01
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 09:04:01 2019 +0000

    copyright

commit b76eeccede490e21a0afdf6f0437e060183175a7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 08:09:23 2019 +0000

    bumped changelog version

commit a7a1b3812f4de5a73062eab37058b369f054f990
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 08:08:59 2019 +0000

    fix

commit 69ac92008f5d1bf58b04ae9274c09aa03eaf5b07
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 05:18:41 2019 +0000

    bumped changelog version

commit a18ab68adb883def8c143ec18fd222696aeec6cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 28 19:26:42 2019 +0000

    comment

commit c311b5ea45c5f339840db7ef7bb8079054fe5a8d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 28 19:23:36 2019 +0000

    implement --clearnet
    
    https://forums.whonix.org/t/todo-research-and-document-how-to-use-tor-browser-for-security-not-anonymity-how-to-use-tbb-using-clearnet/3822/53

commit 271ccc81a985bafd28122440aa8bb62a30fa536a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 16 09:41:28 2019 +0000

    bumped changelog version

commit 7827ef3ffc61d1c85724d5bbc4ed5b7003b3c882
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 16 09:38:26 2019 +0000

    wait for tb-updater-first-boot.service
    
    https://phabricator.whonix.org/T894

commit 6a8e276ef1d896ba4bafacea0a2eb1d3dfdb19b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 22 07:26:58 2019 +0000

    bumped changelog version

commit 1211a147dad29ef5850ecff906d1e82cb33aed28
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 22 07:15:23 2019 +0000

    document --onion

commit 6d02b671b448dcfe951159f9934bbef5a2ed2ede
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 6 08:07:33 2018 +0000

    bumped changelog version

commit 03ba95ea94b7984c0ab33e88fdbdbfc5fc0d25cc
Merge: 2cb6bdf 681ac43
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 6 03:02:26 2018 -0500

    Merge remote-tracking branch 'origin/master'

commit 681ac43ee6fc4ba72f71be50e13f6d9a78544709
Merge: 2cb6bdf 5ad2835
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 6 03:01:23 2018 -0500

    Merge pull request #5 from eyedeekay/master
    
    Don't cd to ~/.i2pb/i2p-browser/Browser

commit 5ad28352b54a4a87376b0c02ffe54cb3a9f4fff4
Merge: 2993520 2cb6bdf
Author: idk <problemsolver@openmailbox.org>
Date:   Wed Dec 5 00:25:02 2018 -0500

    Merge branch 'master' of https://github.com/whonix/tb-starter

commit 2993520a76ad0b58e5bd2b91c25c064a765169a1
Author: idk <problemsolver@openmailbox.org>
Date:   Wed Dec 5 00:17:23 2018 -0500

    no longer force cd to .i2pb/i2p-browser/Browser, instead check for it's existence when deciding to run update-i2pbrowser or now

commit 2cb6bdf514b1d2e5a88543bf9c5bfc4dfd54c30e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 14 13:13:46 2018 +0000

    bumped changelog version

commit 7efa8ada7fa8fb047f995419e7c046ce613ce1dd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 14 07:55:49 2018 -0500

    update links

commit f394bb17d9089a2368ef4306290d40588b65a49b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 16 12:52:42 2018 +0000

    bumped changelog version

commit 0e3c13790c6599b07d87f548dee81923947b6ded
Merge: 0def89e 7fc8cee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 16 12:52:16 2018 +0000

    Merge remote-tracking branch 'origin/master'

commit 7fc8cee30c2651d9b0557a7246d207de54456966
Merge: 0def89e a49089a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 16 12:51:11 2018 +0000

    Merge pull request #4 from eyedeekay/master
    
    fix missing extensions issue

commit a49089aa26f6719518dfda5aac324c03601129cb
Author: idk <problemsolver@openmailbox.org>
Date:   Tue Oct 16 00:13:01 2018 -0400

    added legwork.i2p search

commit e0f59028b7da8d18f2c245624dc09557a78f3dea
Author: idk <problemsolver@openmailbox.org>
Date:   Mon Oct 15 20:20:28 2018 -0400

    fix missing extensions issue

commit 0def89ee7c20609aa94e24c888f84a4ef2525b5e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 8 11:43:08 2018 +0000

    bumped changelog version

commit 5f13417c1321b976f59d2f0570ff28bc6e778e91
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 8 11:18:47 2018 +0000

    fix exit code

commit 258c3fd902f884607c473313da6db7f934d726d3
Author: idk <problemsolver@openmailbox.org>
Date:   Fri Oct 5 15:04:09 2018 -0400

    simplify launcher script and automatically invoke update-i2pbrowser upon non-presence of ~/.i2pb/i2p-browser/

commit fd5ca9eb00b100e4e4f86fbe488bc3f010c7cf89
Author: idk <problemsolver@openmailbox.org>
Date:   Thu Oct 4 17:05:42 2018 -0400

    comment out the config defaults

commit 35fda166385adc0093f91a9a42af0d1c23474858
Author: idk <problemsolver@openmailbox.org>
Date:   Thu Oct 4 14:33:14 2018 -0400

    fix formatting in tb_qubes_wiki:215

commit 83d366608741cce5df7e52bb437715ea84846f9b
Author: idk <problemsolver@openmailbox.org>
Date:   Thu Oct 4 14:32:39 2018 -0400

    fix formatting in tb_qubes_wiki:215

commit bcf6dff96a3fd2e9fe83bc509cdc7f59f00d57a4
Author: idk <problemsolver@openmailbox.org>
Date:   Thu Oct 4 13:16:14 2018 -0400

    fix  flag usage

commit e3b3ce6496482e52e3bbd282a78805a0b445aeef
Author: idk <problemsolver@openmailbox.org>
Date:   Thu Oct 4 13:07:00 2018 -0400

    fix  flag usage

commit 491566862b02b08035162a58f2f273958db596e6
Author: idk <problemsolver@openmailbox.org>
Date:   Wed Oct 3 17:07:03 2018 -0400

    remove --i2p option from /usr/bin/torbrowser and restore function order. Set i2p-related variables with environment variables in /usr/bin/i2pbrowser

commit cf926f93d5851e19a945ddab290452b7fe9e09dd
Author: idk <problemsolver@openmailbox.org>
Date:   Wed Oct 3 16:04:20 2018 -0400

    added 3-Clause BSD to debian/copyright to cover parts adapted from TBB components

commit 686735f4cc7bf823208b3c5906861f5559561491
Author: idk <problemsolver@openmailbox.org>
Date:   Tue Oct 2 22:29:26 2018 -0400

    fix phrasing of license line

commit d08d47c81e3c0da17c74319700f848b4af2d18b0
Author: idk <problemsolver@openmailbox.org>
Date:   Tue Oct 2 22:03:44 2018 -0400

    remove old version of the overrides stuff.

commit dc23e72dd75420fdf0fe9c704ecceab5163baa87
Author: idk <problemsolver@openmailbox.org>
Date:   Tue Oct 2 21:37:02 2018 -0400

    include full set of Tor licenses in LICENSE.tor

commit 7269d7f4c80736bd58c9c47a300d70fcd42fe171
Author: idk <problemsolver@openmailbox.org>
Date:   Tue Oct 2 20:47:32 2018 -0400

    remove irrelevant options from user.js

commit 773f4dcdbf80eb868ded091da118615f877b13f7
Author: idk <problemsolver@openmailbox.org>
Date:   Tue Oct 2 20:43:22 2018 -0400

    fix double-symlinking thing

commit 18314a30d8e7f510a38652e105e1d77c2295a0e4
Author: idk <problemsolver@openmailbox.org>
Date:   Tue Oct 2 20:29:06 2018 -0400

    removed irrelevant bridge settings

commit 4b873ee76058c670e3bb019655753e0427d9ac38
Author: idk <problemsolver@openmailbox.org>
Date:   Tue Oct 2 19:15:06 2018 -0400

    address the easy ones

commit 5fdfef0a52c7468dfb7d24c3ae7605d746489e14
Author: idk <problemsolver@openmailbox.org>
Date:   Tue Oct 2 16:16:37 2018 -0400

    switch default bookmark to i2p-projekt.i2p

commit 55d3c395afc5959a1392f067f22378d87873df9b
Author: idk <problemsolver@openmailbox.org>
Date:   Tue Oct 2 13:29:04 2018 -0400

    added manpage

commit dad8cf6995975cb749fdd7234dcb6accd097c992
Author: idk <problemsolver@openmailbox.org>
Date:   Tue Oct 2 13:24:16 2018 -0400

    added in --i2p options/support for /usr/bin/torbrowser and created /usr/bin/i2pbrowser

commit 99fc6353b557b63e8cf19c73fd1738fae34d50bd
Author: idk <problemsolver@openmailbox.org>
Date:   Tue Oct 2 13:18:41 2018 -0400

    added in /usr/bin/torbrowser althernate defaults

commit b644004bfb52af6f6475c12942a04e5ebb54db3a
Author: idk <problemsolver@openmailbox.org>
Date:   Tue Oct 2 13:17:04 2018 -0400

    added in alternate profile and alternate profile launcher

commit 06147bf4d08b6c28208114ecb2ed961d4a84caf7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 16:52:12 2018 +0000

    bumped changelog version

commit b879ecbda57545f2c2c5a3a1843ce803b67bf930
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:18:39 2018 +0800

    readme

commit 9b554b5af8e2792bbf9803cdefe78d53c7d62843
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 9 16:01:35 2018 +0000

    bumped changelog version

commit 7f3ac3b6d7beb659333f39b0506cd32fb07dc1bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 25 16:45:55 2018 +0800

    fix false-positive "Tor Browser not installed" message
    when trying to open a file from Tor Browser download tab

commit 5d19ea3d6a8ca9d120c94a15588eb1d57ab647a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 6 09:17:16 2018 +0000

    bumped changelog version

commit 43f8e8f6c59e3402f495a11a3d4a3c79f569ff19
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 6 09:15:39 2018 +0000

    fix, don't run inside Qubes DVM Template

commit 347e462882296e309b6fdcd33a96a911c79f5f4e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 14 07:37:07 2018 +0000

    bumped changelog version

commit fc617af778675d9a364ceffd5da95608ed62ae78
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 14 06:50:59 2018 +0000

    refuse running inside Qubes DVM Template
    
    https://forums.whonix.org/t/qubes-dispvm-technical-discussion/3232/60

commit f8b9bbc49e454ac6233f137b760b3a09b04cc106
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 13 07:11:14 2018 +0000

    bumped changelog version

commit e7cae7f9a4fe5c5864cde2ada9e79262d244382e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 27 15:31:04 2018 +0100

    remote no longer needed tb_environment_variables_workaround

commit cb53d4e3212f413212c1fd7dccf3a433ff59cc84
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 25 22:39:02 2018 +0000

    bumped changelog version

commit f4dce054f419baea15bb9f1f17abb2e65031253f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 23 15:22:20 2018 +0000

    remove duplicates

commit 6cf433d1415f2423ef3dc31c512f788e480ecc74
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 21 15:45:07 2018 +0000

    bumped changelog version

commit cc61bafe8bbfe3df20de6bee0dbe3a097dee78a7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 20 16:02:01 2018 +0000

    add workaround for: Tor Browser refuses to start / XDG_CONFIG_DIRS environment variable segfaults Tor Browser
    
    https://trac.torproject.org/projects/tor/ticket/25305
    
    https://phabricator.whonix.org/T767

commit 9e3b5bf19c9234b20f90f9ab71db89146b2dfe32
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 15:22:17 2018 +0000

    bumped changelog version

commit ca3e4cbaedaaa80a6e92145badf0fcdb3c5b22db
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 31 19:01:47 2018 +0000

    add support for $tb_starter_bin_post / $tb_starter_bin_post variables
    
    that can be prepended / appended before Tor Browser binary

commit aab653bdf4a2d2a1a85ec3ef729fc74e7e1b88af
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:37 2018 +0000

    readme

commit 2d6baddcf6bed8e1f107f568147cc3156005c576
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:38:59 2018 +0000

    update copyright

commit b4aa43bcdddbbb54e8b688a1a9ac0707618d5f74
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:22:07 2018 +0000

    update copyright

commit 231912a9994f232cad3fcb6e3c0c3ae2c389ff30
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:15:19 2018 +0000

    update copyright

commit ebafdda5a9ce7b1f50dc8b988fdc218133926fec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:44 2018 +0000

    update copyright

commit 8846b130ac67d857d373a7d923dfd4f452516034
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 20:36:05 2017 +0000

    bumped changelog version

commit 9374a969f9a7fd8010e09f6ae4a676bd801e1f4c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 20:26:30 2017 +0000

    readme

commit 99cac38970646e5861f96aae8945de871a49efec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 14:38:41 2017 +0000

    bumped changelog version

commit c4fc7e0350c184cda33f5176f61a806221db11d0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 28 20:07:40 2017 +0000

    add "Provides: torbrowser-launcher" to prevent it being pulled needlessly by onionshare
    
    https://forums.whonix.org/t/hide-torbrowser-launcher-inside-whonix-start-menu

commit 6b48c2ee855ccc95ebf185702b63b0891fa60dba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 28 21:47:45 2017 +0200

    Revert "hide /usr/share/applications/torbrowser.desktop"
    
    This reverts commit 8bb4a0f2729ea293c43143d0ad0a85f8d0082c10.

commit 11207e1ef8c88ac78a89644c40a7ac698e25a3b0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 10 02:32:52 2017 +0000

    update package description

commit 8bb4a0f2729ea293c43143d0ad0a85f8d0082c10
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 10 01:40:37 2017 +0000

    hide /usr/share/applications/torbrowser.desktop
    hide /usr/share/applications/torbrowser-settings.desktop
    
    https://forums.whonix.org/t/hide-torbrowser-launcher-inside-whonix-start-menu

commit 918866a7a8d76e265bb562e9d4cf07e79eb027b4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:10:14 2017 +0000

    bumped changelog version

commit 5907afb70dbbddba15c1318a4f926bcbdebef87e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:47:52 2017 +0000

    remove faketime from Build-Depends:
    
    since no longer used for reproducible builds

commit 4fd8339b10cf59f3bd3cae4be3980aca29742e9a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:35:26 2017 +0000

    remove debian/gain-root-command workaround

commit ecad235854a736aa03af666cfa46436807da4ee0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 17:01:44 2017 +0000

    bumped changelog version

commit 909973b6830fce4494293e739f598cd4cca76569
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 17:01:25 2017 +0000

    add signed commit

commit 5e77923a7c5d9196008fdf0fb9377d67055f3410
Merge: cf74f1b f8b92c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 13:21:54 2017 +0000

    Merge remote-tracking branch 'origin/master'

commit f8b92c293ae2a6203ae86be6af9b85117f6cac75
Merge: cf74f1b 2712e0b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 13:11:07 2017 +0000

    Merge pull request #1 from anonmos1/patch-1
    
    Update name

commit 2712e0b1ffc5cc7f7c626141aa5bd5ec51a64d8f
Author: anonmos1 <60fpsn+3ywbufem17xog@guerrillamailblock.com>
Date:   Mon Feb 6 09:04:32 2017 +0000

    Update name

commit cf74f1b43a29e1f524ebcf8d2c6718e00cfc1781
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 17 06:30:37 2017 +0100

    bumped changelog version

commit 49961a7bc395272c85cac43674f3e111d328e5ea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 16 16:23:24 2017 +0100

    add missing build dependency ruby-ronn

commit 77bc633844a6ca327967fc94d6179cccc0aa8921
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 15:36:15 2017 +0000

    bumped changelog version

commit 7a0bf53279f3b347c60848e58b34f7ae68f86b61
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:35:42 2017 +0100

    packaging, bumped Standards-Version from 3.9.6 to 3.9.8 for jessie support

commit ee2c79509ceda3f218c32dfa323b70f4bef39dc9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 02:32:59 2016 +0000

    bumped changelog version

commit f0291e2732ace39bd6b4e2049949033a643072ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 17:43:03 2016 +0000

    readme

commit 79b061d9f0381577dc54ebf0a5c871f9ef841c9f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 16 22:50:49 2016 +0000

    improve error handling of function maybe_use_open_link_confirmation

commit c8c518860d31a1a6035305ffd271c8b2db39d196
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 16 22:36:52 2016 +0000

    redirect links opened from whonix-ws TemplateVM to anon-whonix

commit 4f53bd5d85a2262ecd4a3c241badfbabeafd6477
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 24 11:33:45 2016 +0000

    refuse to start in Qubes TemplateVM by default (configurable)
    
    with explanation
    
    And if disabled, start from /var/cache/tb-binary
    
    https://forums.whonix.org/t/ws-problems-after-recent-upgrade

commit afb1a2e2d7d0a6542b9b2750a2a7298194e8c609
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 15 22:03:28 2016 +0000

    also source /rw/config/torbrowser.d/*.conf for config snippets

commit 5e37c18b31d173877ac156efc1e1fd9c582a0697
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 1 17:36:04 2016 +0000

    better error messages in case of permission issues and startup failures
    
    https://phabricator.whonix.org/T510

commit 95b3415e630df5531398f9fc1fee25d92f58e9ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 22:54:48 2016 +0000

    bumped changelog version

commit 587f77cbf772f77c1e2b2de17415df52b685c163
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 23 21:46:12 2016 +0100

    removed compatibility symlink anondist-torbrowser.desktop
    
    because it caused more issues than fixing
    
    https://github.com/QubesOS/qubes-issues/issues/1670

commit 6dcb97a83b4ec5096dcff3f283f4463b63fe74c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 8 17:34:53 2016 +0000

    refactoring

commit e0461b9d6fb0703fdc404506885b805cf589a2a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 8 17:25:59 2016 +0000

    fix

commit 4d22b3c5287abdb95ddb41e35f8c4340cf84b209
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 8 15:53:27 2016 +0000

    Workaround upstream bug to allow opening local files with file names that contain spaces.
    
    prefer Browser/start-tor-browser over
    start-tor-browser and
    start-tor-browser.desktop
    
    Preferring $tb_browser_folder/Browser/start-tor-browser to work around
    The Tor Project upstream issue:
    'start-tor-browser.desktop parameter passing broken on spaces'
    https://trac.torproject.org/projects/tor/ticket/18022
    
    code simplification / refactoring
    
    Thanks to TNT_BOOM_BOOM for the bug report!
    
    http://forums.whonix.org/t/torbrowser-script-bug/1893/1

commit d5f4903b6c1b98acae7a221a7290583317de8c18
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 6 20:37:56 2016 +0000

    comment

commit fc11f3ab9450f0f213d8f18c5d3f8bdc9b6feef7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 5 23:54:59 2016 +0000

    comments

commit 04579094c6b87045751eb7eba5f310a96ff2cb97
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 3 15:42:45 2016 +0000

    updated link to Whonix forums
    
    Thanks to HulaHoop for the report!

commit 2e7e94651e7898aa6f57f266d8eb4509f63387b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 1 21:56:00 2015 +0000

    Only source configuration files that end with the '.conf' extension.
    
    Thanks to @nrgaway for the suggestion!
    
    https://phabricator.whonix.org/T286

commit d4c9822e6c08a15c89d2aa02dc60fd59cb6f3996
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 30 19:38:58 2015 +0000

    Only source configuration files that end with the '.conf' extension.
    
    Thanks to @nrgaway for the suggestion!
    
    https://phabricator.whonix.org/T286

commit 2886f16fa41b13a60235197812182466d124802a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 12:00:05 2015 +0000

    bumped changelog version

commit 033246ad256795f07bc4bc2484b0b5d342f22838
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 11:28:07 2015 +0000

    updated for newer tb-updater (which no longer uses language specific folder names)

commit 3c538d867f99cb84c8cad87bddab46855ea89f91
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 22 23:12:40 2015 +0000

    bumped changelog version

commit 0b40722652ccfa72a99f185b65fe9462520de3b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 8 14:38:16 2015 +0000

    compatibility symlink /usr/share/applications/anondist-torbrowser.desktop -> /usr/share/applications/janondisttorbrowser.desktop

commit 037c90bf19896ad8503b74345a6678de01c34b2e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 8 12:24:23 2015 +0000

    GNOME / Qubes-Whonix: Fix, use Tor Browser rather than iceweasel as default browser when using gnome-open.
    'msgdispatcher_dispatch_x -> python-qt -> link open -> xdg-open -> gnome-open -> iceweasel' -> 'msgdispatcher_dispatch_x -> python-qt -> link open -> xdg-open -> gnome-open -> Tor Browser'
    Renamed anondist-torbrowser.desktop to janondisttorbrowser.desktop.
    https://github.com/Whonix/Whonix/issues/86#issuecomment-143394620

commit e6d005ad9805a9b4943876e65724e966c11de9e2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 25 23:40:17 2015 +0000

    fixed lintian warning 'W: tb-starter: desktop-mime-but-no-exec-code usr/share/applications/anondist-torbrowser.desktop'

commit 064fedcdaea54bea1bb29bf9556f028343b8feb9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 25 23:37:46 2015 +0000

    usr/share/applications/anondist-torbrowser.desktop: added MimeType to be on par with iceweasel.desktop

commit 5d6fa095faef304815e4f199cc74b8f7c0aaab83
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 21 15:16:23 2015 +0000

    removed apparmor profile - https://www.whonix.org/forum/index.php/topic,97.msg10304.html#msg10304

commit 2959df2fd786861f87a7e7609d1ac2c74a401d1d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 19 18:19:02 2015 +0000

    apparmor profile fixes

commit 860fd2fe05d9ba0729c4bfb9ed70fc29586f8aa9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 19 17:57:33 2015 +0000

    hot fixed apparmor profile for new folder ~/.tb - https://www.whonix.org/forum/index.php/topic,97.msg10298.html#msg10298

commit 45ddebd50483a5922daf75861b8d407f27c4a064
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 18 20:26:19 2015 +0000

    added missing packaging of apparmor profile

commit c12e82d21189c0adad7ab89d4ccf70529b0ed8e4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 26 23:31:59 2015 +0000

    bumped changelog version

commit 20248791582c9c5b43e0b20c99d8e73f6cef82e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 26 13:14:26 2015 +0000

    cleanup:
    - deprecated tb_patch_version_number_own (no longer reliable, now that Tor Browser can update itself)
    - deprecated tb_patch_internal_updater_disable_maybe (no longer required since there are no more grave security issues with Tor Browser updates)

commit edde6e07facca53e3e19f4fc16c29b3a75668f0f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 14:08:23 2015 +0000

    bumped changelog version

commit 0bc93461cc0acc7dc9fbab4ae58a9b2a6dc1f774
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 24 17:47:25 2015 +0000

    bumped changelog version

commit 157f7f9a5ca0bd4c9556e530da4beb7ea810cfcd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 13 00:15:45 2015 +0200

    code cleanup, removed CI (continued integration) workarounds, too many of them were required, often broken anyhow

commit 0acaf0622108afebe842f5197f0b368a39750209
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 3 12:58:05 2015 +0200

    indent

commit 8a06f0244a64a563f43503b279015f1e6633c2ef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 19:11:23 2015 +0200

    changed default data dir to ~/.tb and cache dir to ~/.cache/tb - https://phabricator.whonix.org/T338

commit 354d3ff7aa65e70868131cf26d9d055dcdb99187
Merge: 202270d 252c9c4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 25 01:35:11 2015 +0200

    Merge remote-tracking branch 'troubadoour/master'

commit 252c9c416e06beec1111ff26d5030f15cfc78dd7
Author: troubadoour <trobador@riseup.net>
Date:   Mon Jul 13 15:09:12 2015 +0000

    /usr/bin/torbrowser apparmor profile

commit 202270d89953851fe039b3db81c85290f6383d55
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 10 17:50:38 2015 +0000

    refactoring, made "$tb_home_folder/tor-browser_$TB_LANG" a variable tb_browser_folder, useful for later moving of the Tor Browser folder to a more appropriate location - https://phabricator.whonix.org/T338

commit b564c1e3b7a5090035afadde094a644b617cbe8e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 10 15:06:50 2015 +0000

    cleanup, removed code to determine tbb_bin and tbb_profile, because we can now use TBB's default startup script

commit d5a667564a2fb488ceb33136fa96fc3bfb3bce1e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 10 15:04:52 2015 +0000

    output

commit ae5010076bd3be814093a6c86e0e7c594b839958
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 10 14:58:39 2015 +0000

    check permissions before cd'ing into Tor Browser folder to provide better error message in corner cases for better usability - https://phabricator.whonix.org/T359

commit e8870a275ad98a8e34dc93a1288a77f16346affc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 5 18:01:19 2015 +0000

    bumped changelog version

commit 46803cdeb68bfe6655660b73f6f1fa0783ad1c80
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 5 17:56:01 2015 +0000

    Made path to Tor Browser configurable by tb_home_folder variable. Renamed variable home_folder to tb_home_folder to synchronize it with tb-updater. - https://phabricator.whonix.org/T338

commit 1961b0bd81660dd6320b80145e66145eb0a99b1c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 15:00:21 2015 +0000

    bumped changelog version

commit d5f0f366d59043b8a98d90229823a08f9fc1b402
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 30 17:56:55 2015 +0000

    bumped changelog version

commit aa33c9caff270e2ba45406fa8b1bed08ca9607a4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 15:47:40 2015 +0000

    added 'Keywords=' to '.desktop' files to fix lintian warning 'desktop-entry-lacks-keywords-entry' - https://phabricator.whonix.org/T281

commit b4cdb298542fd3035152cf94c6e07235be97a88a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 13:43:25 2015 +0000

    added debian/source/lintian-overrides with debian-watch-may-check-gpg-signature to fix lintian warning - https://phabricator.whonix.org/T277

commit 25a6a332ed1127b35a66056c5d00866c38fcb2f5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 26 23:16:15 2015 +0000

    packaging, bumped Standards-Version from 3.9.4 to 3.9.6 for jessie support

commit 5b6961bbaf7102a80da7667dc3adf2cd7ad983b1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 17:42:51 2015 +0000

    bumped changelog version

commit e79fa4cdb4c5674345ae25b022e23924465542aa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 18:41:27 2015 +0000

    added genmkfile to Build-Depends

commit 9a65289969326d06d8490ec7d35f8f24e0aae6b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:44:51 2015 +0000

    updated debian/rules for makefile generic to version 1.5

commit 5952d0571d305a3d9e12ebe210ddd80a7b045675
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:24:48 2015 +0000

    updated makefile generic to version 1.5

commit 7ccdc3e03868a61f5d1a0d95384dc4af18402229
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 15:13:14 2015 +0000

    make tb-starter compatible with TBB 4.5a5 and above - https://phabricator.whonix.org/T253

commit 886daefdc29c35985db139d2f932394b553f4096
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:36:54 2015 +0000

    bumped changelog version

commit 4615fa982f3b28dbf1c46079bc7e084c427b2600
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:26:51 2015 +0000

    updated makefile generic to version 1.4

commit 68a8fec167d9439157be6e98150a36d92869aae4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:56:34 2015 +0000

    bumped changelog version

commit 139a77943e33444707cbc7198436232617d98aa5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:45:01 2015 +0000

    added changelog.upstream

commit bf7061f204d474cc5670773fe3b0bf0b596bc8a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:40:53 2015 +0000

    updated makefile generic to version 1.3

commit 1e91ec426008294bc6ae85dcc045d421ae32ad27
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 3 23:58:55 2015 +0000

    Added creation of upstream changelog to debian/rules

commit 622c994a607d8c8c70621b29c79ccb2b74c3e24b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 11:12:25 2015 +0000

    cleanup

commit df2b79a3456e935ed608090e79c9ea3eb6110919
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 11:10:54 2015 +0000

    removed --doc from man page to make this package more generic, less Whonix specific

commit 31884f49a64d35b0d6be481e2ff9317fd6416582
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 11:10:09 2015 +0000

    removed deprecated --recommend feature

commit d9893827c30157f2fa8d1bded7d0be57a9b83a12
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 11:06:11 2015 +0000

    refactoring, use errtrace instead of many traps

commit 4e9277a3b07406e02f58915b8feecddb8d371e44
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 11:04:40 2015 +0000

    new TB_CUSTOM_HOMEPAGE setting; not touching default link to open when running outside of Whonix

commit c7abbd5f3be732d2e2a7327fa0d4a2c7c54b1e29
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 17 22:56:43 2015 +0000

    fixed changelog

commit ae1487bb57962c2480dfc4f4338b10143c55b4c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 7 21:58:28 2015 +0000

    comments

commit 4c74afc03763257511ecd81ce7d8a630afdf50c1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 7 19:34:55 2015 +0000

    bumped compat from 8 to 9

commit 858b21590bb787df4476cbfc7147896b14ea6fe6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 6 21:06:52 2015 +0000

    comments

commit 871cf9dc3fb91fc4c7b32a5981b11dbad1a4898d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 5 15:30:08 2015 +0000

    open /usr/share/homepage/whonix-welcome-page/whonix.html as default homepage if that file is existing

commit 29bbfe28426e3874c82e31798003c0c4dc4a26fc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 20 12:41:47 2014 +0000

    bumped version number

commit c88001eff97582d73ab7868b0dda22f6305feecd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 14 22:07:19 2014 +0000

    comments

commit 72e59d4a64f145437d2056405df17b0d83a939fb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 12 01:25:38 2014 +0000

    link open "Firefox is already running, but is not responding." bug -> always start Tor Browser with --allow-remote - https://phabricator.whonix.org/T29

commit 1f65b042960b16281e8916d9cd071f56d0327074
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 5 19:01:20 2014 +0000

    updated generic makefile

commit 464c66a8ffb61ff90e363d0fbe3345092c41c38c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 21 01:10:49 2014 +0000

    fixed long icon bouncing bug when starting (kde launch feedback)

commit 6d21cf32a41cc04a6f62990dc08ddc7246b8b24a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 28 22:35:30 2014 +0000

    makefile: refactoring, avoid using IFS

commit 3467f2771552021ba4b9044eff6651f568802596
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 25 01:58:53 2014 +0000

    makefile:
    - make debdist; make undebdist
    - cleanup
    - refactoring

commit 299dd6f1e075978af45d666a0bf4376e353901ab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 23 22:43:04 2014 +0000

    makefile:
    - new target "make undist", which deletes the upstream tarball
    - $DISTDIR variable for make (un)dist, which defaults to ".." and can be used to create upstream tarballs in arbitrary locations
    - refactoring, all function names and global variables now start with "make_" to make the script `source`ing friendly
    - made `source`able

commit 45fc80247006c68665abf8b42b3b6b3381bda783
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 20 12:29:12 2014 +0000

    refactoring

commit 13db5d2f86b768e034a2b36e5fbcaa133b25addb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 16 17:11:07 2014 +0000

    Tor Browser 4.x compatibility fix

commit 89980510ae17d2c9edd99821d8819c86b03dead0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 13 12:36:57 2014 +0000

    readme

commit 4238135259e800c04f3d1afdd149ef6e45c01c60
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 19 18:52:44 2014 +0000

    makefile: added new feature "make deb-chl-bumpup" - Bump upstream version number in debian/changelog.

commit 21766ae476b60fa05b843fbda971a952103be311
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 20:54:27 2014 +0000

    Updated debian/changelog.

commit 5b1ffb9703582513a54365603956e7582d05dcd2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 20:47:30 2014 +0000

    Fixed changelog date.

commit f5b54a4f84e7320cbf9c8fc77eb44dbc0d8d9c8e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 18:03:31 2014 +0000

    bump version number

commit d809bc2d438ecae6aea39c8a52d6c78f16b8f1c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 14 13:35:20 2014 +0000

    Implemented make deb-icup: Combination of make deb-pkg, make deb-pkg-install and make deb-pkg-cleanup.

commit 1185e4a11f10398a054b79cfdd885ee0702a0675
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 27 12:42:29 2014 +0000

    packaging

commit cc49ab79e1ad250c61a654d08a5da2dcdbe68292
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 27 04:01:14 2014 +0000

    packaging

commit 656df84ee87b34adbfb6e2037d717bc2034205cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 26 15:26:40 2014 +0000

    packaging

commit e750535cf7a24bc118c416e5d30877f9dba742f5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 26 15:16:07 2014 +0000

    packaging: removed build dependency on git, since the .git folder won't be included in the upstream tarball.

commit cedb77a32415115fd4368d23e6c684a6c1387cb5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 23 22:13:14 2014 +0000

    output: use $TITLE consistently instead of "Tor Browser not installed"

commit eb10368014ba47795c1e9f48967d296eeb2c239f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 23 13:37:08 2014 +0000

    fix opening links in conjunction with tb-default-browser when open-link-confirmation is not installed

commit d7395de8d2206eca48b408c0e92e5c96902da4a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 22 22:20:55 2014 +0000

    fix

commit 6305819d6b62161d59a3205a9daf2f1d45f1d250
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 14 02:00:12 2014 +0000

    quotes

commit 4401e1c539eaba6b7c278eb00e1eeccb8728aaa5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 17:30:55 2014 +0000

    packaging

commit 6ac043102b49704a682408537bad5181f5cd7f73
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 17:11:03 2014 +0000

    packaging

commit ed941aea818dfec42021029fc692a14f8c602465
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 15:34:20 2014 +0000

    packaging

commit 21e0b600a0d42e8113245b30e5848bda16225650
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 8 15:05:15 2014 +0000

    updated link

commit 6b94b515dd60e36b3b99dc3c182d457f8fbd4f8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 6 13:31:06 2014 +0000

    quotes

commit 09d3931dfabf3ed5967dc50b90607ff0fceeee91
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 6 13:25:37 2014 +0000

    use $BASH_SOURCE instead of $0

commit 7ec8c44c42fbf157ab2ca425afe20a77f38ca594
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 6 11:33:04 2014 +0000

    sanity test

commit 02c9920aff90818f6972e0248c9e552d83726ac8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 5 08:09:45 2014 +0000

    Bumped debian revision number to avoid lintian warning "new-package-should-close-itp-bug" so we can use lintian --fail-on-warnings as sanity test.

commit ceb588797852b2e439bfd174727438441dc5ce2a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 4 05:26:22 2014 +0000

    fix

commit e7e994f50bcfb06286d319965c0fa410c773b38d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 4 04:28:51 2014 +0000

    merged generic-gui-message into msgcollector

commit 7aa636ae282aaf716d8bca2524a7ab84d666114a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 3 18:28:14 2014 +0000

    use open link confirmation also for Whonix's links, to forum etc.

commit 2a608685446fc7d07ada3049b12c881de3681a44
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 3 17:09:14 2014 +0000

    added depends on generic-gui-message

commit 2bd8a42597b4681f9bfa67565c2db6f6d27ee09c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 3 16:31:30 2014 +0000

    fix

commit 2dd72b3d854591c45a8acf0ad57b44d31bbdce77
Author: troubadoour <trobador@riseup.net>
Date:   Thu Jul 3 09:02:41 2014 +0000

    HTML tags

commit 92d3eef2f7e00e530b7dbc7e65902bd033d3c3be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 24 15:45:14 2014 +0000

    added debian epoch; added dotglob

commit c652d8554373136f77dd085eb11e3d2480391e23
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 10 14:16:35 2014 +0000

    added who_ami for msgcollector

commit c5eb556ca981984907671a56475f6a27750df968
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 3 18:27:38 2014 +0000

    readme

commit c6e7252611810014eb92fc3cca736967117ab92a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 1 15:38:37 2014 +0000

    readme

commit e7763a7068ea04e7de64345772d0d4b4b58d5f91
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 31 14:38:35 2014 +0000

    # On branch master
    nothing to commit (working directory clean)

commit 1dcbeeacf34e38b2f9c301dbe1ce011d378543e7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 26 20:56:06 2014 +0000

    packaging

commit d2775082d593cd188e6e796fab3b2b8a583c7d5b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 21 11:41:17 2014 +0000

    .

commit b9dd231b20c2f6ecd515d604ae88f01c81c3ed6a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 20 03:54:30 2014 +0000

    .

commit 2be7b120ec5028a0ad94ff8e8b512104a30defea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 20 03:18:42 2014 +0000

    .
